package com.brilliance.isc.bo.lg;

import com.brilliance.isc.common.transaction.vo.BaseTransactionVo;
import com.brilliance.isc.bo.model.Nidgrp;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@JsonIgnoreProperties(ignoreUnknown = true)
@Data
public class NitpplStoreBo extends BaseTransactionVo {
    private Nidgrp nidgrp;
    private Date chgdat;
    private Nidgrp oldnidgrp;
    private BigDecimal chgamt = new BigDecimal("0.00");


    @Override
    public void reset() {
        if (nidgrp == null) {
            nidgrp = new Nidgrp();
        }
        nidgrp.reset();
        if (oldnidgrp == null) {
            oldnidgrp = new Nidgrp();
        }
        oldnidgrp.reset();
    }
}
